> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Assistant strategy

> Returns strategy null when the session exists but no build strategy is available yet.



## OpenAPI

````yaml get /v5/agent/data/{sessionId}/strategy
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v5/agent/data/{sessionId}/strategy:
    get:
      tags:
        - Agent
      summary: Get the latest customer-safe Assistant extraction strategy
      description: >-
        Returns strategy null when the session exists but no build strategy is
        available yet.
      operationId: v5AgentStrategy
      parameters:
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Latest extraction strategy, or null while unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantStrategyResponse'
        '404':
          description: Session not found
components:
  schemas:
    AssistantStrategyResponse:
      type: object
      required:
        - data
        - status
      properties:
        data:
          type: object
          required:
            - strategy
          properties:
            strategy:
              allOf:
                - $ref: '#/components/schemas/ExtractionStrategySummary'
              nullable: true
        status:
          type: string
          enum:
            - success
    ExtractionStrategySummary:
      type: object
      required:
        - approach
        - summary
        - dataSource
      properties:
        approach:
          type: string
        summary:
          type: string
        dataSource:
          type: object
          required:
            - type
            - endpoints
            - interactionStyle
            - selectors
          properties:
            type:
              type: string
            endpoints:
              type: array
              items:
                type: string
            interactionStyle:
              type: string
            selectors:
              type: array
              items:
                type: string
        intervalSeconds:
          type: number
          nullable: true
          description: Realtime polling interval in seconds, when applicable.

````